! test Do construct
! for  constraints of  R816 - R833


PROGRAM E7

REAL (kind=5) var1
INTEGER       var2,var3

a: DO 10 , var1=1.0 , 3.0,0.5_4
	var2=var2+1
10   ENDDO a

b: DO 30 j=1,N
        i=i+1
!error  try to enter a block from outside
        goto 30
   DO 30 WHILE (i==9)
        k=k+1
        goto 30
30      ENDDO

    DO 40 j=1,N
        i=i+1
    do 40 i=1,m
        j=j+1
    do 40 WHILE (i==9)
        k=k+1
!error Illegal statement act as do termination shared statement
40    goto 30

END

